Subject: bug#68851: 30.0.50; Native comp: Optimization failure for org-element-property-raw: Handler: org-element-property-raw--inliner

From: Ihor Radchenko <[email-masked]>
Date: Fri, 09 Feb 2024 16:21:48 +0000

Stefan Monnier <[email-masked]> writes:

>> Although, I am very surprised that `batch-byte-recompile-directory' does
>> not trigger the error. So, something is off somewhere in the
>> compilation. If not in `batch-byte-compile' then in
>> `batch-byte-recompile-directory'.
>
> `batch-byte-recompile-directory` runs a single Emacs session that
> compiles all the files.  Some of those files probably (require
> 'org-element-ast) and presumably this happens in one of the files
> compiled *before* `org-element-ast.el`, hence the problem disappears.

Makes sense. Then, this bug can be closed I think. The problem is not on
Emacs side.

> FWIW, I have a local hack which saves&restores the global `obarray`
> around each `byte-compile-file` which should make
> `batch-byte-recompile-directory` shows the same errors as compiling each
> file individually.  Not sure it's worth the trouble, tho.

I prefer to be explicit.
I changed Org mode build system to use "single" target by default, so
that .el files are compiled individually.
This also allowed parallel execution of make.
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=71fbe92c2
https://git.savannah.gnu.org/cgit/emacs/org-mode.git/commit/?id=c76d498f4

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>